### Function

# Qmi message_tlv_read_init

since: 1.12

#### Declaration [src]

    gsize
    qmi_message_tlv_read_init (
      QmiMessage* self,
      guint8 type,
      guint16* out_tlv_length,
      GError** error
    )

#### Description [src]

Starts reading a given TLV from the `QmiMessage`.

Available since: 1.12

#### Parameters

`self`

  Type: `QmiMessage`

  A `QmiMessage`.

  The data is owned by the caller of the function.

`type`

  Type: `guint8`

  Specific ID of the TLV to read.

`out_tlv_length`

  Type: `guint16*`

  Optional return location for the TLV size.

  The argument will be set by the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gsize`

The offset where the TLV starts, or 0 if an error happens.